@echo OFF
echo * CblCsvE2 is Starting...
rem  * *******************************************************************
rem  *               CBLCSVE2.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2019 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text    - COBOL, read a LCSV file and create a LFFL file.
rem  * Author  - SimoTime Technologies
rem  * Date    - December 12, 2003
rem  * Version - 04.01.20
rem  *
rem  * This set of programs illustrates the use COBOL programs that will
rem  * read an ASCII/Text file with a Comma-Separated-Values (CSV) format
rem  * and create an ASCII/Text file with a column-oriented,
rem  * Fixed-Field-Length (FFL) format.
rem  *
rem  * The COBOL program is compiled with the ASSIGN(EXTERNAL) directive.
rem  * This provides for external file mapping of the file names.
rem  *
rem  * This set of programs will run on a Personal Computer with Windows
rem  * and Micro Focus Net Express.
rem  *
rem  *                     ************
rem  *                     * CblCsvE2 *
rem  *                     ********cmd*
rem  *                          *
rem  *                          *
rem  *                     ************     ************
rem  *                     * if EXIST ******* CUSTLFFL *
rem  *                     *******stmt*     ******erase*
rem  *                          *
rem  *    ************     ************     ************
rem  *    * CUSTLCSV ******* CblCsvC2 ******* CUSTLFFL *
rem  *    *******lcsv*     ********cbl*     *******lffl*
rem  *                          *
rem  *                     ************
rem  *                     *   EOJ    *
rem  *                     ************
rem  *
rem  * Note-1: LCSV=Line Sequential with Comma-Separated-Values format.
rem  * Note-2: LFFL=Line Sequential with Fixed-Field-Length format.
rem  *
rem  * ********************************************************************
rem  * Step   1 of 2  Set the global environment variables...
rem  *
     call ..\Env1BASE
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
     set JobName=CblCsvE2
rem  *
     call SimoNOTE "*******************************************************%JobName%"
     call SimoNOTE "Starting JobName %JobName%, User is %USERNAME%"
rem  *
rem  * *******************************************************************
rem  * Step   2 of 2  Execute the program, create a TXT file.
rem  *
     set CUSTLCSV=%BaseLib1%\DATA\XLSS\SIMOTIME.TEXT.CUSTLCSV.CSV
     set CUSTLFFL=%BaseLib1%\DATA\TXT1\SIMOTIME.TEXT.CUSTLFFL.TXT
     set SYSOUT=%BaseLib1%\LOGS\SIMOTIME.SYSOUT.CBLCSVE2.TXT
     if exist %CUSTLFFL% erase %CUSTLFFL%
     run CBLCSVC2
     if not "%ERRORLEVEL%" == "0" set JobStatus=0010
     if not %JobStatus% == 0000 goto :EojNok
rem  *
     if exist %CUSTLFFL% goto :EojAok
     set JobStatus=0020
     goto :EojNok
:EojAok
     call SimoNOTE "DataTake CUSTLCSV=%CUSTLCSV%"
     call SimoNOTE "DataMake CUSTLFFL=%CUSTLFFL%"
     call SimoNOTE "Finished JobName %JobName%, Job Status is %JobStatus%"
     goto :End
:EojNok
     call SimoNOTE "ABENDING JobName %JobName%, Job Status is %JobStatus%"
:End
     call SimoNOTE "Conclude SysLog is %SYSLOG%"
     if not "%1" == "nopause" pause
